package com.zd.alg.smartlock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 申请开门对象 sl_opendoor_apply
 *
 * @author zd
 * @date 2022-09-03
 */
@ApiModel("申请开门")
public class SlOpendoorApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 申请姓名 */
    @Excel(name = "申请姓名")
    @Length(message = "申请姓名长度不能超过50")
    @ApiModelProperty(value = "申请姓名")
    private String userName;
    /** 人员2 id */
    @Excel(name = "人员2 id")
    @ApiModelProperty(value = "人员2 id")
    private Long userId2;
    /** $column.columnComment */
    @Excel(name = "人员2 id")
    @Length(message = "人员2 id长度不能超过50")
    @ApiModelProperty(value = "人员2 id")
    private String userName2;
    /** 实验室id  */
    @Excel(name = "实验室id ")
    @ApiModelProperty(value = "实验室id ")
    private Long subjectId;
    /** 实验室名称  */
    @Excel(name = "实验室名称 ")
    @Length(message = "实验室名称 长度不能超过50")
    @ApiModelProperty(value = "实验室名称 ")
    private String subjectName;
    /** 位置 */
    @Excel(name = "位置")
    @Length(message = "位置长度不能超过255")
    @ApiModelProperty(value = "位置")
    private String position;
    /** 学院 */
    @Excel(name = "学院")
    @Length(message = "学院长度不能超过255")
    @ApiModelProperty(value = "学院")
    private String college;
    /** 1审核中 2 通过 3驳回 */
    @Excel(name = "1审核中 2 通过 3驳回")
    @ApiModelProperty(value = "1审核中 2 通过 3驳回")
    private Long applyStatus;

    /** 审核次数 */
    @Excel(name = "审核次数")
    @ApiModelProperty(value = "审核次数")
    private Long applyNumber;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date creatTime;


    /** 人员1编号*/
    @Excel(name = "人员1编号")
    @ApiModelProperty(value = "人员1编号")
    private String userCode;

    /** 人员2编号*/
    @Excel(name = "人员2编号")
    @ApiModelProperty(value = "人员2编号")
    private String userCode2;

    /** 人员1性别*/
    @Excel(name = "人员1性别")
    @ApiModelProperty(value = "人员1性别")
    private Integer userSex;

    /** 人员2性别*/
    @Excel(name = "人员2性别")
    @ApiModelProperty(value = "人员2性别")
    private Integer userSex2;

    /** 人员1电话*/
    @Excel(name = "人员1电话")
    @ApiModelProperty(value = "人员1电话")
    private String phonenumber;

    /** 人员2电话*/
    @Excel(name = "人员2电话")
    @ApiModelProperty(value = "人员2电话")
    private String phonenumber2;

    /** 说明*/
    @Excel(name = "说明")
    @ApiModelProperty(value = "说明")
    private String illustrate;

    /** 审核完成时间 */
    @Excel(name = "审核完成时间 ")
    @ApiModelProperty(value = "审核完成时间 ")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date approvalTime;

    /** 审核人*/
    @Excel(name = "审核人 ")
    @ApiModelProperty(value = "审核人 ")
    private String approvalUser;

    /** 安全负责人*/
    @Excel(name = "安全负责人 ")
    @ApiModelProperty(value = "安全负责人 ")
    private String safeUserName;

    @ApiModelProperty(value = "实验室安全负责人ID集合")
    private String safeUserId;

    @ApiModelProperty(value = "实验室安全负责人电话集合")
    private String safeUserPhone;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getUserId2() {
        return userId2;
    }

    public void setUserId2(Long userId2) {
        this.userId2 = userId2;
    }

    public String getUserName2() {
        return userName2;
    }

    public void setUserName2(String userName2) {
        this.userName2 = userName2;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public Long getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(Long applyStatus) {
        this.applyStatus = applyStatus;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public Long getApplyNumber() {
        return applyNumber;
    }

    public void setApplyNumber(Long applyNumber) {
        this.applyNumber = applyNumber;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserCode2() {
        return userCode2;
    }

    public void setUserCode2(String userCode2) {
        this.userCode2 = userCode2;
    }

    public Integer getUserSex() {
        return userSex;
    }

    public void setUserSex(Integer userSex) {
        this.userSex = userSex;
    }

    public Integer getUserSex2() {
        return userSex2;
    }

    public void setUserSex2(Integer userSex2) {
        this.userSex2 = userSex2;
    }

    public String getIllustrate() {
        return illustrate;
    }

    public void setIllustrate(String illustrate) {
        this.illustrate = illustrate;
    }

    public String getPhonenumber() {        return phonenumber;    }

    public void setPhonenumber(String phonenumber) {        this.phonenumber = phonenumber;    }

    public String getPhonenumber2() {
        return phonenumber2;
    }

    public void setPhonenumber2(String phonenumber2) {
        this.phonenumber2 = phonenumber2;
    }

    public Date getApprovalTime() {
        return approvalTime;
    }

    public void setApprovalTime(Date approvalTime) {
        this.approvalTime = approvalTime;
    }

    public String getApprovalUser() {
        return approvalUser;
    }

    public void setApprovalUser(String approvalUser) {
        this.approvalUser = approvalUser;
    }

    public String getSafeUserName() {        return safeUserName;    }

    public void setSafeUserName(String safeUserName) {        this.safeUserName = safeUserName;    }

    public String getSafeUserId() {        return safeUserId;    }

    public void setSafeUserId(String safeUserId) {        this.safeUserId = safeUserId;    }

    public String getSafeUserPhone() {        return safeUserPhone;    }

    public void setSafeUserPhone(String safeUserPhone) {        this.safeUserPhone = safeUserPhone;    }
}
